Subject: bug#11194: 24.0.95; sudo rm doesn't work with absolute directory paths on the file system

From: Michael Albinus <[email-masked]>
Date: Sun, 22 Apr 2012 19:47:47 +0200

Stefan Monnier <[email-masked]> writes:

>>> I'd be happy to hear of arguments in favor of the current behavior of
>>> eshell/sudo w.r.t builtins.
>> I've checked the implementation of eshell/sudo: It simply let-binds
>> default-directory to "/sudo:user@host:dir", and let the command like rm
>> run. That's why the built-in version of rm is in place.
>> Another implementation of sudo would not be in the spirit of eshell, I
>> think.
>
> Spirit or not, the resulting behavior for `sudo' makes no sense and
> should be fixed,

Last attempt to convince you: The eshell manual gives as example

          ~ $ cd /ssh:otherhost:/etc
          /ssh:user@otherhost:/etc $ sudo find-file shadow

If you disable built-in commands inside sudo, you would disable all
other Lisp functions as well. Do we want this?

>         Stefan

Best regards, Michael.